﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            foreach (var item in xamDataGrid1.Records)
            {
                DataRecordPresenter drp = DataRecordPresenter.FromRecord(item) as DataRecordPresenter;
                DataRecordCellArea drca = Utilities.GetDescendantFromType(drp, typeof(DataRecordCellArea), true) as DataRecordCellArea;
                if (drca.IsAlternate)
                {
                    foreach (var cell in (drp.Record as DataRecord).Cells)
                    {
                        CellValuePresenter.FromCell(cell).Foreground = Brushes.Green;
                    }
                }
            }
        }
    }
}
